## gegl-init

gegl-init

## Functions

void | gegl_init ()
GOptionGroup * | gegl_get_option_group ()
void | gegl_exit ()
void | gegl_load_module_directory ()
GeglConfig * | gegl_config ()
GeglStats * | gegl_stats ()
void | gegl_reset_stats ()
gboolean | gegl_is_main_thread ()

## Description

## Functions

### gegl_init ()

    void
    gegl_init (gint *argc,
               gchar ***argv);

Call this function before using any other GEGL functions. It will initialize everything needed to operate GEGL and parses some standard command line options. `argc` and `argv` are adjusted accordingly so your own code will never see those standard arguments.

Note that there is an alternative way to initialize GEGL: if you are calling `g_option_context_parse()` with the option group returned by `gegl_get_option_group()`, you don't have to call `gegl_init()`.

#### Parameters

argc | a pointer to the number of command line arguments. | [inout]
argv | a pointer to the array of command line arguments. | [inout][array length=argc][allow-none]

### gegl_get_option_group ()

    GOptionGroup *
    gegl_get_option_group (void);

Returns a GOptionGroup for the commandline arguments recognized by GEGL. You should add this group to your GOptionContext with `g_option_context_add_group()` if you are using `g_option_context_parse()` to parse your commandline arguments.

[skip]

### gegl_exit ()

    void
    gegl_exit (void);

Call this function when you're done using GEGL. It will clean up caches and write/dump debug information if the correct debug flags are set.

### gegl_load_module_directory ()

    void
    gegl_load_module_directory (const gchar *path);

Load all gegl modules found in the given directory.

#### Parameters

path | the directory to load modules from |

### gegl_config ()

    GeglConfig *
    gegl_config (void);

Returns a GeglConfig object with properties that can be manipulated to control GEGLs behavior.

#### Returns

a GeglConfig.

[transfer none]

### gegl_stats ()

    GeglStats *
    gegl_stats (void);

Returns a GeglStats object with properties that can be read to monitor GEGL statistics.

#### Returns

a GeglStats.

[transfer none]

### gegl_reset_stats ()

    void
    gegl_reset_stats (void);

Resets the cumulative data gathered by the GeglStats object returned by `gegl_stats()`.

### gegl_is_main_thread ()

    gboolean
    gegl_is_main_thread (void);